# Command: size

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    size - Returns the size of an array/string.

Synopsis:

    array size -> n array
      string size -> n string

Examples:

    [1 2] size -> 2 [1 2]
      (hello) size -> 5 (hello)

Description:

    Returns the number of elements (similar to length) of
      an object and additionally the object itself.

Author:

    docu by Sirko Straube

SeeAlso:

- reserve
- shrink
- allocations
- length
- capacity

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative